% WORK STYLE - PROC
%
% Based on standart LaTeX ARTICLE class v1.3r [1996/05/26]
% Needs package THEOREM.STY v2.2a [94/02/03] from LaTeX tools distribution
%
% Programming: Jaan Janno,
%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{mma2023}[1997/05/20]
\newif\if@restonecol
\if@compatibility\else
    \setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}%
\DeclareOption{landscape}
   {\setlength\@tempdima   {\paperheight}%
    \setlength\paperheight {\paperwidth}%
    \setlength\paperwidth  {\@tempdima}}
\fi
\@twosidetrue\@mparswitchtrue
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\if@compatibility\else
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\fi
\newif\if@secthm
\DeclareOption{secthm}{\@secthmtrue}
%
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\ProcessOptions
\renewcommand\normalsize{%
   \@setfontsize\normalsize\@xpt\@xiipt
   \abovedisplayskip 14\p@ \@plus2\p@ \@minus5\p@
   \abovedisplayshortskip 2\p@ \@plus3\p@
   \belowdisplayshortskip 8\p@ \@plus3\p@ \@minus3\p@
   \belowdisplayskip \abovedisplayskip
   \let\@listi\@listI}
\normalsize
\newcommand\small{%
   \@setfontsize\small\@ixpt{11}%
   \abovedisplayskip 12.5\p@ \@plus3\p@ \@minus4\p@
   \abovedisplayshortskip 2\p@ \@plus2\p@
   \belowdisplayshortskip 6\p@ \@plus2\p@ \@minus2\p@
   \def\@listi{\leftmargin\leftmargini
               \topsep 2\p@ \@plus2\p@ \@minus2\p@
               \parsep 2\p@ \@plus\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}
\newcommand\footnotesize{%
   \@setfontsize\footnotesize\@viiipt{9.5}%
   \abovedisplayskip 10\p@ \@plus2\p@ \@minus4\p@
   \abovedisplayshortskip 2\p@ \@plus\p@
   \belowdisplayshortskip 5\p@ \@plus\p@ \@minus2\p@
   \def\@listi{\leftmargin\leftmargini
               \topsep 2\p@ \@plus\p@ \@minus\p@
               \parsep 2\p@ \@plus\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}
\newcommand\scriptsize{\@setfontsize\scriptsize\@viipt\@viiipt}
\newcommand\tiny{\@setfontsize\tiny\@vpt\@vipt}
\newcommand\large{\@setfontsize\large\@xiipt{14}}
\newcommand\Large{\@setfontsize\Large\@xivpt{18}}
\newcommand\LARGE{\@setfontsize\LARGE\@xviipt{22}}
\newcommand\huge{\@setfontsize\huge\@xxpt{25}}
\newcommand\Huge{\@setfontsize\Huge\@xxvpt{30}}
\setlength\parindent{10\p@}
\setlength\smallskipamount{3\p@ \@plus 1\p@ \@minus 1\p@}
\setlength\medskipamount{6\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\bigskipamount{12\p@ \@plus 4\p@ \@minus 4\p@}
\setlength\headheight{12\p@}
\setlength\headsep   {14\p@}
\setlength\topskip   {10\p@}
\setlength\footskip{30\p@}
\setlength\hoffset{0.4cm}
\setlength\voffset{-2.0cm}
%%\setlength\evensidemargin{-2.36cm}
\if@compatibility \setlength\maxdepth{4\p@} \else
\setlength\maxdepth{.5\topskip} \fi
\setlength\textwidth{432pt}
\if@compatibility\else
  \@settopoint\textwidth
\fi
\setlength\textheight{650pt}
\setlength\marginparsep{11\p@}
\setlength\marginparpush{5\p@}
\setlength\topmargin{27pt}
\setlength\footnotesep{7\p@}
\setlength{\skip\footins}{11\p@ \@plus 1\p@ \@minus 1\p@}
\setlength\floatsep    {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\textfloatsep{20\p@ \@plus 2\p@ \@minus 4\p@}
\setlength\intextsep   {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\dblfloatsep    {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\dbltextfloatsep{20\p@ \@plus 2\p@ \@minus 4\p@}
\setlength\@fptop{0\p@ \@plus 1fil}
\setlength\@fpsep{8\p@ \@plus 2fil}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@ \@plus 1fil}
\setlength\@dblfpsep{8\p@ \@plus 2fil}
\setlength\@dblfpbot{0\p@ \@plus 1fil}
\setlength\partopsep{2\p@ \@plus 1\p@ \@minus 1\p@}
\def\@listi{\leftmargin\leftmargini
            \parsep 2\p@ \@plus\p@ \@minus\p@
            \topsep 4\p@ \@plus2\p@ \@minus2\p@
            \itemsep2\p@ \@plus\p@ \@minus\p@}
\let\@listI\@listi
\@listi
\def\@listii {\leftmargin\leftmarginii
              \labelwidth\leftmarginii
              \advance\labelwidth-\labelsep
              \topsep    2\p@ \@plus2\p@ \@minus\p@
              \parsep    2\p@ \@plus\p@  \@minus\p@
              \itemsep   \parsep}
\def\@listiii{\leftmargin\leftmarginiii
              \labelwidth\leftmarginiii
              \advance\labelwidth-\labelsep
              \topsep    2\p@ \@plus\p@\@minus\p@
              \parsep    \z@
              \partopsep \p@ \@plus\z@ \@minus\p@
              \itemsep   \topsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{1}
\setlength\parskip{0\p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}
%
\gdef\thecatchlines{%
\vbox to48pt{\vss
%\leftline{\null{\sc\footnotesize Acta Societatis Mathematicae Latviensis}}
\leftline{\null{\footnotesize Abstracts of the $82^{\text{nd}}$ International Scientific Conference of the University of Latvia 2024}}
\leftline{\null{\footnotesize Boundary Value Problems for Ordinary Differential Equations}}
%%\leftline{\null{\footnotesize \copyright\ 2023}}
}}%
\def\runauthor#1{\gdef\@runauthor{#1}} \let\@runauthor\relax
\def\runtitle#1{\gdef\@runtitle{#1}}   \let\@runtitle\relax
\let\maketitle\relax
\def\topmatter{%
 \begingroup
\def\footnote##1##{\thanks}
   \def\@makefnmark{\hbox{$\m@th^{\@thefnmark}$}}%
     \global\@topnum\z@\newpage\raggedright\thecatchlines}
%
\def\endtopmatter{\thispagestyle{headings}\@thanks
 \endgroup
 \let\maketitle\relax
 \let\@maketitle\relax
 \gdef\@thanks{}\gdef\@author{}\gdef\@title{}\let\thanks\relax
 \vskip18pt}
%
\def\nohyphen{\pretolerance=10000 \tolerance=10000
\hyphenpenalty=10000 \exhyphenpenalty=10000}
%
\newif\if@address \@addressfalse
\newif\if@institution \@institutionfalse
\newif\if@email \@emailfalse
\def\sep{\unskip, }\def\and{\unskip~and }
\let\@ldthanks\thanks
\def\elem@nothanks#1\thanks{\futurelet\@peektok\elem@thanks}
\def\elem@thanks{\ifx\@peektok\relax\else \expandafter\elem@morethanks\fi}
%
\def\elem@morethanks#1{\@ldthanks{#1}\elem@nothanks}
%
\def\title#1{\vskip28pt\vbox{\let\thanks\@gobble\nohyphen\raggedright%
\Large\bfseries\uppercase{#1}\expandafter\elem@nothanks#1\thanks\relax}\vskip12pt}
\def\author#1{{\let\thanks\@gobble\normalsize\uppercase\expandafter{#1}%
\expandafter\elem@nothanks#1\thanks\relax}}
\def\institution#1{\if@institution\vskip2pt\else\vskip4pt\@institutiontrue\fi\vbox{\it #1}}
\def\address#1{\if@address\vskip2pt\else\vskip4pt\@addresstrue\fi\vbox{\rm #1}}
\def\email#1{\if@email\vskip2pt\else\vskip4pt\@emailtrue\fi \mbox{E-mail:\ }\vbox{\tt #1}}
\def\abstract{\vskip34pt\vbox\bgroup\footnotesize\leftline{\bfseries
ABSTRACT}\vskip10pt%
\ignorespaces}
\def\endabstract{\egroup}
\def\ps@headings{%
  %\def\@oddfoot{\phantom{\thepage}\hfil \upshape \thepage}%
  %\def\@evenfoot{\upshape \thepage \hfil \phantom{\thepage}}%
  \def\@oddfoot{\hfil\thepage\hfil}%
  \def\@evenfoot{\hfil\thepage\hfil}%
  \let\@oddhead\@empty\let\@evenhead\@empty
  %    \let\@oddfoot\@empty\let\@evenfoot\@empty
 %     \def\@evenhead{\thepage\hfil\itshape\leftmark}%
%      \def\@oddhead{{\itshape\rightmark}\hfil\thepage}%
      \let\@mkboth\markboth
    \def\sectionmark##1{%
      \markboth {\MakeUppercase{%
        \ifnum \c@secnumdepth >\z@
          \thesection\quad
        \fi
        ##1}}{}}%
    \def\subsectionmark##1{%
      \markright {%
        \ifnum \c@secnumdepth >\@ne
          \thesubsection\quad
        \fi
        ##1}}}
\def\ps@myheadings{%
   \def\cfoot{\phantom{\thepage}\hfil \upshape\thepage}%
  \def\cfoot{\upshape \thepage\hfil\phantom{\thepage}}%
  \def\@evenhead{\hfil{\it\@runauthor}\hfil }%
   \def\@oddhead{\hfil{\it\@runtitle}\hfil }%
 %   \def\@oddhead{\phantom{\thepage}\hfil{\it\@runtitle}\hfil \upshape\thepage}%
%    \def\@oddhead{\upshape \thepage\hfil{\it\@runauthor}\hfil\phantom{\thepage}}%
    \let\@mkboth\@gobbletwo
    \let\sectionmark\@gobble
    \let\subsectionmark\@gobble
    }
\setcounter{secnumdepth}{3}
\newcounter {part}
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand\thepart         {\@Roman\c@part}
\renewcommand\thesection      {\@arabic\c@section}
\renewcommand\thesubsection   {\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection .\@arabic\c@subsubsection}
\renewcommand\theparagraph    {\thesubsubsection.\@arabic\c@paragraph}
\renewcommand\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}
\newcommand\part{\par
   \addvspace{4ex}%
   \@afterindentfalse
   \secdef\@part\@spart}
\def\@part[#1]#2{%
    \ifnum \c@secnumdepth >\m@ne
      \refstepcounter{part}%
      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
    \else
      \addcontentsline{toc}{part}{#1}%
    \fi
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \ifnum \c@secnumdepth >\m@ne
       \Large\bfseries \partname~\thepart
       \par\nobreak
     \fi
     \huge \bfseries #2%
     \markboth{}{}\par}%
    \nobreak
    \vskip 3ex
    \@afterheading}
\def\@spart#1{%
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \huge \bfseries #1\par}%
     \nobreak
     \vskip 3ex
     \@afterheading}
\def\@seccntformat#1{\csname the#1\endcsname.\ }
\def\section#1#{\u@section#1/}
\def\u@section#1/#2{\upsection#1{\uppercase{#2}}}
\newcommand\upsection{\@startsection {section}{1}{\z@}{-18pt plus-2pt
         minus-2pt}{12pt plus2pt
        minus2pt}{\reset@font\normalsize\bfseries\tolerance10000}}
\newcommand\subsection{\@startsection{subsection}{2}{\z@}{-12pt plus-2pt
         minus-2pt}{6pt plus1pt minus1pt}{\reset@font\normalsize\it}}
\newcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}{-6pt plus-1pt
    minus-1pt}{0.001pt}{\reset@font\normalsize\it}}
\newcommand\paragraph{\@startsection
     {paragraph}{4}{\z@}{6pt plus1pt minus1pt}{-1em}{\reset@font
     \normalsize\it}}
\newcommand\subparagraph{\@startsection
     {subparagraph}{4}{\parindent}{6pt plus1pt minus1pt}{-1em}{\reset@font
     \normalsize\it}}
\setlength\leftmargini  {12\p@}
\leftmargin  \leftmargini
\setlength\leftmarginii  {15\p@}
\setlength\leftmarginiii {15\p@}
\setlength\leftmarginiv  {12\p@}
\setlength\leftmarginv  {10\p@}
\setlength\leftmarginvi {10\p@}
\setlength  \labelsep  {3pt}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{$\m@th\bullet$}
\newcommand\labelitemii{\normalfont\bfseries --}
\newcommand\labelitemiii{$\m@th\ast$}
\newcommand\labelitemiv{$\m@th\cdot$}
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}

\def\enumerate{%
  \ifnum \@enumdepth >\thr@@\@toodeep\else
    \advance\@enumdepth\@ne
    \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
      \expandafter
      \list
        \csname label\@enumctr\endcsname
        {\advance\leftmargin\parindent\usecounter\@enumctr\def\makelabel##1{\hss\llap{##1}}}%
  \fi}

\def\itemize{%
  \ifnum \@itemdepth >\thr@@\@toodeep\else
    \advance\@itemdepth\@ne
    \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
    \expandafter
    \list
      \csname\@itemitem\endcsname
      {\def\makelabel##1{\hfil\hskip\labelsep##1\hfil}}%
  \fi}

\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\newcommand\appendix{\par
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \renewcommand\thesection{\@Alph\c@section}}
\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\renewcommand\theequation{\@arabic\c@equation}
\newcounter{figure}
\renewcommand\thefigure{\@arabic\c@figure}
\long\def\@makefigurecaption#1#2{%
   \vskip 12\p@\footnotesize{\bfseries #1.} #2\par}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\newenvironment{figure}
               {\let\@makecaption\@makefigurecaption\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\let\@makecaption\@makefigurecaption\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}
\renewcommand\thetable{\@arabic\c@table}
\newtoks\beforecaption \beforecaption={\centering}
\long\def\@maketablecaption#1#2{\the\beforecaption\footnotesize%
  \begin{tabular}{l}
  \bfseries #1.\\
  #2\\
  \end{tabular}\par}
\def\thline{%
\noalign{\ifnum0=`}\fi\vskip 3pt\hrule \@height \arrayrulewidth \futurelet
   \reserved@a\t@xhline}
\def\t@xhline{\ifx\reserved@a\hline
                \vskip \doublerulesep
                \vskip-\arrayrulewidth
             \else \vskip 3pt\fi
      \ifnum0=`{\fi}}
\def\boldhline{\noalign{\global\arrayrulewidth.8pt}\hline%
                        \noalign{\global\arrayrulewidth.4pt}}
\def\@tableboxreset{%
        \reset@font
        \centering\footnotesize
        \@setnobreak
        \@setminipage
}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\newenvironment{table}
               {\let\hline\thline\let\@floatboxreset\@tableboxreset%
\let\@makecaption\@maketablecaption\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\let\hline\thline\let\@floatboxreset\@tableboxreset%
\let\@makecaption\@maketablecaption\@dblfloat{table}}
               {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{#1: #2}%
  \ifdim \wd\@tempboxa >\hsize
    #1: #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\textit}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\texttt}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\providecommand{\bm}[1]{\mbox{\boldmath$#1$}}
\providecommand{\mm}[1]{\mbox{\boldmath${\rm #1}$}}
\providecommand{\gbm}[1]{\mbox{\boldmath$\mathit{#1}$}}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{3}
\newcommand\tableofcontents{%
    \section*{\contentsname
        \@mkboth{%
           \MakeUppercase\contentsname}{\MakeUppercase\contentsname}}%
    \@starttoc{toc}%
    }
\newcommand*\l@part[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty\@secpenalty
    \addvspace{2.25em \@plus\p@}%
    \begingroup
      \setlength\@tempdima{3em}%
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
       \nobreak
       \if@compatibility
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}%
      \fi
    \endgroup
  \fi}
\newcommand*\l@section[2]{%
  \ifnum \c@tocdepth >\z@
    \addpenalty\@secpenalty
    \addvspace{1.0em \@plus\p@}%
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
    \endgroup
  \fi}
\newcommand*\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
\newcommand*\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
\newcommand*\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
\newcommand*\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
\newcommand\listoffigures{%
    \section*{\listfigurename
      \@mkboth{\MakeUppercase\listfigurename}%
              {\MakeUppercase\listfigurename}}%
    \@starttoc{lof}%
    }
\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand\listoftables{%
    \section*{\listtablename
      \@mkboth{%
          \MakeUppercase\listtablename}{\MakeUppercase\listtablename}}%
    \@starttoc{lot}%
    }
\let\l@table\l@figure
\def\thebibliography#1{\@startsection{section}{1}{\z@}{-18pt plus-2pt
         minus-2pt}{18pt plus1pt
        minus1pt}{\reset@font\footnotesize\bfseries}*
  {\uppercase\expandafter{\refname}\@mkboth
  {\uppercase{\refname}}{\uppercase{\refname}}}\list
  {\@biblabel{\arabic{enumiv}}}{\footnotesize%
    \labelwidth\z@ \labelsep\z@ \leftmargin15pt \itemindent-15pt%
    \parsep\z@\itemsep 3pt plus1pt\usecounter{enumiv}\let\p@enumiv\@empty%
    \def\theenumiv{\arabic{enumiv}}}%
    \def\newblock{\hskip .11em plus.33em minus.07em}%
    \sloppy\clubpenalty4000\widowpenalty4000
    \sfcode`\.=1000\relax}
\def\endthebibliography{%
  \def\@noitemerr{\@warning{Empty `thebibliography' environment}}%
  \endlist}
\def\@biblabel#1{[#1] }
\def\@bibitem#1{\item\if@filesw \immediate\write\@auxout%
       {\string\bibcite{#1}{\the\c@enumiv}}\fi\ignorespaces}
\def\artj#1#2#3#4#5#6{#1. #2. {\it #3}, {\bfseries #4} #5.#6}
\def\artjwn#1#2#3#4#5#6{#1. #2. {\it #3}, {\bfseries #4}, #5.#6}
\def\artp#1#2#3#4#5#6{#1. #2. In: {\it #3},  #4, #5.#6}
\def\book#1#2#3#4#5#6{#1. #2 {\it #3}. #4, #5. #6}
\def\artall#1#2#3#4#5#6{#1 #2 {\it #3} #4 #5. #6}
\def\@cite#1#2{[{#1\if@tempswa , #2\fi}]}
\def\@citex[#1]#2{\if@filesw\immediate\write\@auxout{\string\citation{#2}}\fi
  \let\@citea\@empty
  \@cite{\@for\@citeb:=#2\do
    {\@citea\def\@citea{;\ }%
     \def\@tempa##1##2\@nil{\edef\@citeb{\if##1\space##2\else##1##2\fi}}%
     \expandafter\@tempa\@citeb\@nil
     \@ifundefined{b@\@citeb}{{\reset@font\bfseries ?}\@warning
       {Citation `\@citeb' on page \thepage \space undefined}}%
     \hbox{\csname b@\@citeb\endcsname}}}{#1}}
\def\acknowledgements{\subsection*{Acknowledgements}}
\let\ack\acknowledgements
\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \columnseprule \z@
                \columnsep 35\p@
                \twocolumn[\section*{\indexname}]%
                \@mkboth{\MakeUppercase\indexname}%
                        {\MakeUppercase\indexname}%
                \thispagestyle{plain}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule\@width 48\p@\kern2.6\p@}
\newcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@1.8em{\hss$\m@th^{\@thefnmark}$}#1}
\newcommand\contentsname{Contents}
\newcommand\listfigurename{List of Figures}
\newcommand\listtablename{List of Tables}
\newcommand\refname{References}
\newcommand\indexname{Index}
\newcommand\figurename{Figure}
\newcommand\tablename{Table}
\newcommand\partname{Part}
\newcommand\appendixname{Appendix}
\newcommand\abstractname{Abstract}
\newcommand\today{}
\edef\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}
%
% NEWTHEOREM and PROCLAIM environments
%
\typeout{NEWTHEOREM and PROCLAIM environments loaded^^J}
\@ifundefined{theorem@style}{\RequirePackage{theorem}}{}
%
% Changes for environments without counters
%
\gdef\@xnthm#1#2[#3]{\expandafter\@ifdefinable\csname #1\endcsname
   {%
    \@definecounter{#1}\@addtoreset{#1}{#3}%
    \expandafter\xdef\csname the#1\endcsname
      {\expandafter \noexpand \csname the#3\endcsname
       \@thmcountersep \@thmcounter{#1}}%
    \def\@tempa{\global\@namedef{#1}}%
    \expandafter \@tempa \expandafter{%
      \csname th@\the \theorem@style
            \expandafter \endcsname \the \theorem@bodyfont
     \@thm{#1}{#2}}%
    \global \expandafter \let \csname end#1\endcsname \@endtheorem
    \def\@tempb{\global\@namedef{#1*}}%
    \expandafter \@tempb \expandafter{%
      \csname th@\the \theorem@style
            \expandafter \endcsname \the \theorem@bodyfont
     \@thmstar{#2}}%
    \global \expandafter \let \csname end#1*\endcsname \@endtheorem
   }}
\gdef\@ynthm#1#2{\expandafter\@ifdefinable\csname #1\endcsname
   {\@definecounter{#1}%
    \expandafter\xdef\csname the#1\endcsname{\@thmcounter{#1}}%
    \def\@tempa{\global\@namedef{#1}}\expandafter \@tempa
     \expandafter{\csname th@\the \theorem@style \expandafter
     \endcsname \the\theorem@bodyfont \@thm{#1}{#2}}%
    \global \expandafter \let \csname end#1\endcsname \@endtheorem
    \def\@tempb{\global\@namedef{#1*}}\expandafter \@tempb
     \expandafter{\csname th@\the \theorem@style \expandafter
     \endcsname \the\theorem@bodyfont \@thmstar{#2}}%
    \global \expandafter \let \csname end#1*\endcsname \@endtheorem}}
\gdef\@othm#1[#2]#3{\expandafter\@ifdefinable\csname #1\endcsname
  {\expandafter \xdef \csname the#1\endcsname
     {\expandafter \noexpand \csname the#2\endcsname}%
    \def\@tempa{\global\@namedef{#1}}\expandafter \@tempa
     \expandafter{\csname th@\the \theorem@style \expandafter
     \endcsname \the\theorem@bodyfont \@thm{#2}{#3}}%
    \global \expandafter \let \csname end#1\endcsname \@endtheorem
    \def\@tempb{\global\@namedef{#1*}}\expandafter \@tempb
     \expandafter{\csname th@\the \theorem@style \expandafter
     \endcsname \the\theorem@bodyfont \@thmstar{#3}}%
    \global \expandafter \let \csname end#1*\endcsname \@endtheorem}}
\gdef\@thm#1#2{\refstepcounter{#1}%
   \trivlist
   \@topsep \theorempreskipamount%
   \@topsepadd \theorempostskipamount%
   \@ifnextchar [%
   {\@ythm{#1}{#2}}%
   {\@begintheorem{#2}{\csname the#1\endcsname}\ignorespaces}}
\gdef\@thmstar#1{%
   \trivlist
   \@topsep \theorempreskipamount%
   \@topsepadd \theorempostskipamount%
   \@ifnextchar [%
   {\@ythmstar{#1}}%
   {\@@begintheorem{#1}\ignorespaces}}
\def\@ythmstar#1[#2]{%
  \@@opargbegintheorem{#1}{#2}\ignorespaces}
\global\let\@xthm\relax
%
\gdef\th@plaindot{\normalsize\it
  \def\@begintheorem##1##2{%
        \item[\hskip\labelsep \theorem@headerfont ##1\ \rm ##2\@thmcountersep]\it}%
  \def\@@begintheorem##1{%
        \item[\hskip\labelsep \theorem@headerfont ##1\@thmcountersep]\it}%
\def\@opargbegintheorem##1##2##3{%
   \item[\hskip\labelsep \theorem@headerfont ##1\ \rm ##2]\rm ##3\@thmcountersep\it}
\def\@@opargbegintheorem##1##2{%
   \item[\hskip\labelsep \theorem@headerfont ##1]\ \rm ##2\@thmcountersep\it}}
%
\gdef\th@plaindef{\normalsize\it
  \def\@begintheorem##1##2{%
        \item[\hskip\labelsep \theorem@headerfont ##1 ##2\@thmcountersep]\rm}%
  \def\@@begintheorem##1{%
        \item[\hskip\labelsep \theorem@headerfont ##1\@thmcountersep]\rm}%
\def\@opargbegintheorem##1##2##3{%
   \item[\hskip\labelsep \theorem@headerfont ##1\ ##2]\rm ##3 \@thmcountersep\rm}
\def\@@opargbegintheorem##1##2{%
   \item[\hskip\labelsep \theorem@headerfont ##1] ##2\@thmcountersep\rm}}
%
\gdef\th@proclaim{\normalsize\rm
  \def\@begintheorem##1##2{%
        \item[\hskip\parindent\hskip\labelsep \normalsize ##1\ ##2\@thmcountersep]\rm}%
  \def\@@begintheorem##1{%
        \item[\hskip\parindent\hskip\labelsep \normalsize ##1\@thmcountersep]\rm }%
\def\@opargbegintheorem##1##2##3{%
   \item[\hskip\parindent\hskip\labelsep \normalsize ##1\ ##2]\upshape ##3\@thmcountersep\rm }
\def\@@opargbegintheorem##1##2{%
   \item[\hskip\parindent\hskip\labelsep \normalsize ##1]\upshape ##2\@thmcountersep\rm }}
%
%DEFAULT VALUES
\global\setlength\theorempreskipamount{13pt plus 1pt minus 1pt}
\global\setlength\theorempostskipamount{13pt plus 1pt minus 1pt}
\def\@thmcounter#1{\noexpand\arabic{#1}}
\gdef\@thmcountersep{.}
\gdef\theorem@headerfont{\sc}
\theorembodyfont{\it}

\theoremstyle{plaindot}%{plaindot}
{
\if@secthm
  \newtheorem{thm}{Theorem}[section]
\else
  \newtheorem{thm}{Theorem}
\fi
}
\newtheorem{algorithm}[thm]{Algorithm}
\newtheorem{lem}[thm]{Lemma}
\newtheorem{prop}[thm]{Proposition}

{\theoremstyle{plaindef}
\newtheorem{prob}[thm]{Problem}
\newtheorem{defn}[thm]{Definition}
}

{\theoremstyle{proclaim}
\newtheorem{cor}[thm]{Corollary}
\newtheorem{exmp}[thm]{Example}
\newtheorem{rem}[thm]{Remark}
}
\if@secthm
 \@addtoreset{thm}{section}
 \def\thethm{\thesection.\arabic{thm}}
\else
 \def\thethm{\arabic{thm}}
\fi
\newenvironment{pf}%
{\par\addvspace{12pt plus1pt minus3pt}%\noindent
   {\it\proofname}\kern 1em\ignorespaces}%
  {\par\addvspace{12pt plus1pt minus3pt}}
\def\proofname{Proof.}
%
\@namedef{pf*}#1{\par\begingroup\def\proofname{#1.}\pf\endgroup\ignorespaces}
\@namedef{endpf*}{\par\addvspace{12pt plus1pt minus3pt}}
%
\ps@myheadings
%\pagenumbering{arabic}
\usepackage{latexsym}
\pagenumbering{arabic}
%\usepackage{graphicx}          % for LaTeX2e
\usepackage{amsmath}
\usepackage{amssymb}
\def\sym{\mathbb }
\def\mathbm{\bm }
\def\gm{\mathit }
\def\mathsl{\sl }
\def\ttm{\mathtt }
\def\eqref#1{{\textup{(\ref{#1})}}}
\def\thmref#1{{\textup{\ref{#1}}}}
\def\endpf{$\Box$}
\bibliographystyle{plain}
\endinput
